commit:     6646a6032b8807cfd3e3a7d2ddf4d6287dd49de9
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Tue Nov  1 07:19:14 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Nov 18 08:51:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6646a603

app-misc/elasticsearch: bump to 7.17.7

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/28065
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-misc/elasticsearch/Manifest                    |  1 +
 app-misc/elasticsearch/elasticsearch-7.17.7.ebuild | 82 ++++++++++++++++++++++
 app-misc/elasticsearch/files/elasticsearch.init.9  | 71 +++++++++++++++++++
 3 files changed, 154 insertions(+)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index 289eb701436d..7c8c8818192c 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -1,2 +1,3 @@
 DIST elasticsearch-7.17.5-no-jdk-linux-x86_64.tar.gz 167410729 BLAKE2B 
c6e68176705a1ae2c72a945b2a2b7542f2cb6ebc2420fb52cf26cafdc3045c6f82a5f707062d48142875bf1fbc4be65e473ed9515d65ec25d5a460cc2af991e9
 SHA512 
d8bc819c9ac5a9035d08e45abf8464275cc2cad7c2f091a3e112100ffbd2605759543e111d9e44c3352f92a08230287c2cba6a91f07ab3d92513682e56b97184
+DIST elasticsearch-7.17.7-no-jdk-linux-x86_64.tar.gz 167491953 BLAKE2B 
dec416ed84d47f95e72d415f6200b0573ef4adfe833753b87f8a2e927561344ea949a1fe2f51d0c8bbd97463d68734542388051904bc631b5f690ce37540a83f
 SHA512 
9a9c8ad4b31a3d9b8c560bbb97f03dc4809fb4c993dbcf99835847896e35caa46309a50e17e86bb56ed00312fba2f79ed064ab422b968488bd619e294f845c5b
 DIST elasticsearch-8.4.1-linux-x86_64.tar.gz 566284763 BLAKE2B 
5978c56dbeaaa2421afc8f73576362d9902de16100fb9a40eff8721be21e6c3b4d225c627848e3800ff9f31405671f93da51fa2914d3af36bed96b2bad417574
 SHA512 
030df228fb1fa6b5c80087674c84c2d8ebca3a321bc6f5b92e3c915468381c13a692d95865e2410bb2b02f9e02c1fd37b59182ca474b0d5064d36d16e7749f95

diff --git a/app-misc/elasticsearch/elasticsearch-7.17.7.ebuild 
b/app-misc/elasticsearch/elasticsearch-7.17.7.ebuild
new file mode 100644
index 000000000000..c9393946bb82
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-7.17.7.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd tmpfiles
+
+DESCRIPTION="Free and Open, Distributed, RESTful Search Engine"
+HOMEPAGE="https://www.elastic.co/elasticsearch/";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}-no-jdk-linux-x86_64.tar.gz";
+LICENSE="Apache-2.0 BSD-2 Elastic-2.0 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="acct-group/elasticsearch
+       acct-user/elasticsearch
+       sys-libs/zlib
+       virtual/jre"
+
+QA_PREBUILT="usr/share/elasticsearch/modules/x-pack-ml/platform/linux-x86_64/\(bin\|lib\)/.*"
+QA_PRESTRIPPED="usr/share/elasticsearch/modules/x-pack-ml/platform/linux-x86_64/\(bin\|lib\)/.*"
+
+src_prepare() {
+       default
+
+       rm LICENSE.txt NOTICE.txt || die
+       rmdir logs || die
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins -r config/.
+       rm -r config || die
+
+       fowners root:${PN} /etc/${PN}
+       fperms 2750 /etc/${PN}
+
+       insinto /usr/share/${PN}
+       doins -r .
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       fperms -R +x /usr/share/${PN}/bin
+       fperms -R +x 
/usr/share/${PN}/modules/x-pack-ml/platform/linux-x86_64/bin
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.4" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.9" ${PN}
+
+       systemd_install_serviced "${FILESDIR}/${PN}.service.conf"
+       systemd_newunit "${FILESDIR}"/${PN}.service.3 ${PN}.service
+
+       newtmpfiles "${FILESDIR}"/${PN}.tmpfiles.d ${PN}.conf
+}
+
+pkg_postinst() {
+       tmpfiles_process /usr/lib/tmpfiles.d/${PN}.conf
+
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/${PN} into the configuration directory of the instance:"
+       elog "/etc/${PN}/instance"
+       elog
+       ewarn "Please make sure you have proper permissions on /etc/${PN}"
+       ewarn "prior to keystore generation or you may experience startup 
fails."
+       ewarn "chown root:${PN} /etc/${PN} && chmod 2750 /etc/${PN}"
+       ewarn "chown root:${PN} /etc/${PN}/${PN}.keystore && chmod 0660 
/etc/${PN}/${PN}.keystore"
+}

diff --git a/app-misc/elasticsearch/files/elasticsearch.init.9 
b/app-misc/elasticsearch/files/elasticsearch.init.9
new file mode 100644
index 000000000000..5e4f2a70f41d
--- /dev/null
+++ b/app-misc/elasticsearch/files/elasticsearch.init.9
@@ -0,0 +1,71 @@
+#!/sbin/openrc-run
+
+name="Elasticsearch"
+description="Elasticsearch Server"
+
+ES_INSTANCE=${RC_SVCNAME#*.}
+
+if [ -n "${ES_INSTANCE}" ] && [ ${RC_SVCNAME} != "elasticsearch" ]; then
+       ES_BASE_PATH="/var/lib/elasticsearch/${ES_INSTANCE}"
+       CONF_DIR="/etc/elasticsearch/${ES_INSTANCE}"
+       DEFAULT_LOG_DIR="/var/log/elasticsearch/${ES_INSTANCE}"
+else
+       ES_BASE_PATH="/var/lib/elasticsearch/_default"
+       CONF_DIR="/etc/elasticsearch"
+       DEFAULT_LOG_DIR="/var/log/elasticsearch/_default"
+fi
+
+ES_HOME=${ES_HOME:="/usr/share/elasticsearch"}
+ES_USER=${ES_USER:="elasticsearch"}
+ES_GROUP=${ES_GROUP:="elasticsearch"}
+ES_STARTUP_SLEEP_TIME=${ES_STARTUP_TIME:=5}
+ES_JAVA_HOME=${ES_JAVA_HOME:=$(java-config -g JAVA_HOME)}
+MAX_OPEN_FILES=${MAX_OPEN_FILES:=65536}
+MAX_MAP_COUNT=${MAX_MAP_COUNT:=262144}
+
+DATA_DIR=${DATA_DIR:="${ES_BASE_PATH}/data"}
+LOG_DIR=${LOG_DIR:="${DEFAULT_LOG_DIR}"}
+
+if [ -f "${CONF_DIR}/elasticsearch.in.sh" ]; then
+    ES_INCLUDE="${CONF_DIR}/elasticsearch.in.sh"
+fi
+
+export ES_INCLUDE
+export ES_JAVA_HOME
+export ES_JAVA_OPTS
+export ES_JVM_OPTIONS
+export ES_STARTUP_SLEEP_TIME
+export ES_PATH_CONF="${CONF_DIR}"
+
+pidfile="/run/elasticsearch/${RC_SVCNAME}.pid"
+
+command="/usr/share/elasticsearch/bin/elasticsearch"
+command_args="-Epath.logs=${LOG_DIR} -Epath.data=${DATA_DIR}"
+command_args_background="--daemonize --pidfile=${pidfile}"
+command_user="${ES_USER}:${ES_GROUP}"
+required_files="${CONF_DIR}/elasticsearch.yml"
+retry="TERM/30/KILL/30"
+
+depend() {
+       use net
+}
+
+start_pre() {
+       if [ -n "${MAX_MAP_COUNT}" -a -f /proc/sys/vm/max_map_count ]; then
+               sysctl -q -w vm.max_map_count=${MAX_MAP_COUNT}
+       fi
+
+       checkpath -d -o "${ES_USER}:${ES_GROUP}" -m750 "/var/lib/elasticsearch"
+       checkpath -d -o "${ES_USER}:${ES_GROUP}" -m750 "/var/log/elasticsearch"
+       checkpath -d -o "${ES_USER}:${ES_GROUP}" -m750 "/run/elasticsearch"
+       checkpath -d -o "${ES_USER}:${ES_GROUP}" -m750 "${ES_HOME}/plugins"
+       checkpath -d -o "${ES_USER}:${ES_GROUP}" -m750 "${ES_BASE_PATH}"
+       checkpath -d -o "${ES_USER}:${ES_GROUP}" -m750 "${LOG_DIR}"
+
+       # fails to start without keystore
+       if [ ! -f "${CONF_DIR}/elasticsearch.keystore" ]; then
+               "${ES_HOME}/bin/elasticsearch-keystore" create
+       else
+               "${ES_HOME}/bin/elasticsearch-keystore" upgrade
+       fi
+}

Reply via email to